<section class="Inspired_by" style="padding: 20px 0px 20px;background-color: #e8f5f8;min-height: 500px;">
  <div class="container">
    <!-- <h3 class="custom_heading_text mb-3" style="font-size: 2rem;">Results for <span class="highlight">web design</span> <span class="number-of-results">( 10,175 Services available )</span></h3> -->
    <!-- <h3 class="custom_heading_text mb-3" style="font-size: 2rem; text-align: center;">Service Based on Your Request</h3>
      <h6 class="custom_heading_text mb-3" style="text-align: center;">Find the relevant services to help you get started</h6> -->

    <div class="row mb-5">
      <div class="col-md-12 text-center">
        <h3 class="custom_heading_text" style="font-size: 2rem;margin-bottom: 0px;"><span class="highlight">Service
            Based on Your Request</span></h3>
        <h6 class="number-of-results" style="font-size: 1rem;">Find the relevant services to help you get started</h6>
      </div>
    </div>
    <!-- <div class="row category_div_latest">
        <div class="col-md-8">
          <div class="search_result_dropdown">
            <div class="dropdown">
        <button onclick="myFunction0()" class="dropbtn category_dropdown">Category</button>
        <div id="myDropdown0" class="dropdown-content">
          <ul class="subcategories-list">
            <li class="item">
              <a href="#!" class="selected">All Categories</a>
              <span> (10,196) </span>
            </li>
            <li class="item">
              <a href="/search/gigs" class="">Web &amp; Mobile Design</a>
              <span> (3,531) </span>
            </li>
            <li class="item">
              <a href="/search/gigs" class="">Web Programming</a>
              <span> (2,052) </span>
            </li>
            <li class="item">
              <a href="/search/gigs" class="">Web Banners</a>
              <span> (1,659) </span>
            </li>
            <li class="item">
              <a href="/search/gigs" class="">WordPress</a>
              <span> (884) </span>
            </li>
            <li class="item">
              <a href="/search/gigs" class="">Social Media Design</a>
              <span> (480) </span>
            </li>
            <li class="item">
              <a href="/search/gigs" class="">Website Builders &amp; CMS</a>
              <span> (472) </span>
            </li>
            <li class="item">
              <a href="/search/gigs" class="">Logo Design</a>
              <span> (219) </span>
            </li>
            <li class="item">
              <a href="/search/gigs" class="">Illustration</a>
              <span> (123) </span>
            </li>
            <li class="item">
              <a href="/search/gigs" class="">Other</a>
              <span> (93) </span>
            </li>
          </ul>
        </div>
      </div>
      <div class="dropdown">
        <button onclick="myFunction1()" class="dropbtn Service_Option_dropdown">Service Option</button>
        <div id="myDropdown1" class="dropdown-content" style="min-width: 500px;">
          <div>
            <div class="service_option_div">
              <div>
                <div class="row">
                  <div class="col-md-12">
                    <h6>Main Type</h6>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-201" type="checkbox" value="value201">
                        <label for="styled-checkbox-201">Email Template <span class="count">(1,453)</span></label>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-202" type="checkbox" value="value202">
                        <label for="styled-checkbox-202">Mobile App <span class="count">(997)</span></label>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-203" type="checkbox" value="value203">
                        <label for="styled-checkbox-203">Landing Pages <span class="count">(402)</span></label>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-204" type="checkbox" value="value204">
                        <label for="styled-checkbox-204">Websites <span class="count">(172)</span></label>
                    </div>
                  </div>
                </div>
              </div>
              <hr/>
              <div>
                <div class="row">
                  <div class="col-md-12">
                    <h6>Image File Format</h6>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-205" type="checkbox" value="value205">
                        <label for="styled-checkbox-205">JPG <span class="count">(3,447)</span></label>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-206" type="checkbox" value="value206">
                        <label for="styled-checkbox-206">PNG <span class="count">(3,689)</span></label>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-207" type="checkbox" value="value207">
                        <label for="styled-checkbox-207">PSD <span class="count">(3,101)</span></label>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-208" type="checkbox" value="value208">
                        <label for="styled-checkbox-208">PDF <span class="count">(3,061)</span></label>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-12 pd_0">
                    <a href="#" class="show_more_less">+5 more</a>
                  </div>
                </div>
              </div>
              <hr/>
              <div>
                <div class="row">
                  <div class="col-md-12">
                    <h6>Service Includes</h6>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-209" type="checkbox" value="value209">
                        <label for="styled-checkbox-209">Include Source File <span class="count">(5,853)</span></label>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-210" type="checkbox" value="value210">
                        <label for="styled-checkbox-210">Responsive Design <span class="count">(4,712)</span></label>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-211" type="checkbox" value="value211">
                        <label for="styled-checkbox-211">Commercial Use <span class="count">(3,428)</span></label>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-212" type="checkbox" value="value212">
                        <label for="styled-checkbox-212">Interactive Mockup <span class="count">(1,817)</span></label>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-12 pd_0">
                    <a href="#" class="show_more_less">+2 more</a>
                  </div>
                </div>
              </div>
            </div>
            <div class="service_option_div_footer">
              <div class="container">
                <div class="row">
                  <div class="col-md-6">
                    <h6>Clear All</h6>
                  </div>
                  <div class="col-md-6 text-right">
                    <button type="button" class="btn btn-success btn-sm" style="background-color: #1dbf73 !important;">Apply</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="dropdown">
        <button onclick="myFunction2()" class="dropbtn Seller_Details_dropdown">Seller Details</button>
        <div id="myDropdown2" class="dropdown-content" style="min-width: 500px;">
        <div>
            <div class="service_option_div">
              <div>
                <div class="row">
                  <div class="col-md-12">
                    <h6>Seller Level</h6>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-301" type="checkbox" value="value301">
                        <label for="styled-checkbox-301">Top Rated Seller <span class="count">(30)</span></label>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-302" type="checkbox" value="value302">
                        <label for="styled-checkbox-302">level Two <span class="count">(965)</span></label>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-303" type="checkbox" value="value303">
                        <label for="styled-checkbox-303">Level One <span class="count">(1,404)</span></label>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-304" type="checkbox" value="value304">
                        <label for="styled-checkbox-304">New Seller <span class="count">(172)</span></label>
                    </div>
                  </div>
                </div>
              </div>
              <hr/>
              <div>
                <div class="row">
                  <div class="col-md-12">
                    <h6>Seller Speaks</h6>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-305" type="checkbox" value="value305">
                        <label for="styled-checkbox-305">English <span class="count">(9,674)</span></label>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-306" type="checkbox" value="value306">
                        <label for="styled-checkbox-306">Urdu <span class="count">(2,334)</span></label>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-307" type="checkbox" value="value307">
                        <label for="styled-checkbox-307">PSD <span class="count">(3,101)</span></label>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-308" type="checkbox" value="value308">
                        <label for="styled-checkbox-308">Bengali <span class="count">(1,083)</span></label>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-12 pd_0">
                    <a href="#" class="show_more_less">+25 more</a>
                  </div>
                </div>
              </div>
              <hr/>
              <div>
                <div class="row">
                  <div class="col-md-12">
                    <h6>Seller Lives In</h6>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-309" type="checkbox" value="value309">
                        <label for="styled-checkbox-309">United States <span class="count">(203)</span></label>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-310" type="checkbox" value="value310">
                        <label for="styled-checkbox-310">United Kingdom <span class="count">(95)</span></label>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-311" type="checkbox" value="value311">
                        <label for="styled-checkbox-311">Canada <span class="count">(45)</span></label>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-312" type="checkbox" value="value312">
                        <label for="styled-checkbox-312">Germany <span class="count">(30)</span></label>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-12 pd_0">
                    <a href="#" class="show_more_less">+116 more</a>
                  </div>
                </div>
              </div>
            </div>
            <div class="service_option_div_footer">
              <div class="container">
                <div class="row">
                  <div class="col-md-6">
                    <h6>Clear All</h6>
                  </div>
                  <div class="col-md-6 text-right">
                    <button type="button" class="btn btn-success btn-sm" style="background-color: #1dbf73 !important;">Apply</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="dropdown">
        <button onclick="myFunction3()" class="dropbtn Budget_dropdown">Budget</button>
        <div id="myDropdown3" class="dropdown-content" style="min-width: 315px;">
          <div>
            <div class="service_option_div" style="height: auto;">
              <div>
                <div class="row">
                  <div class="col-md-6">
                    <label style="width: 100%;margin-bottom: 1px;">Min ( <i class="fa fa-inr"></i> )</label>
                    <input type="text" class="form-control" placeholder="Any">
                  </div>
                  <div class="col-md-6">
                    <label style="width: 100%;margin-bottom: 1px;">Max ( <i class="fa fa-inr"></i> )</label>
                    <input type="text" class="form-control" placeholder="Any">
                  </div>
                </div>
              </div>
            </div>
            <div class="service_option_div_footer">
              <div class="container">
                <div class="row">
                  <div class="col-md-6">
                    <h6>Clear All</h6>
                  </div>
                  <div class="col-md-6 text-right">
                    <button type="button" class="btn btn-success btn-sm" style="background-color: #1dbf73 !important;">Apply</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="dropdown">
        <button onclick="myFunction4()" class="dropbtn delivery_time_dropdown">Delivery Time</button>
        <div id="myDropdown4" class="dropdown-content" style="min-width: 230px;">
          <div>
            <div class="service_option_div" style="height: auto;">
              <div>
                <div class="row">
                  <div class="col-md-12">
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-401" type="checkbox" value="value401">
                        <label for="styled-checkbox-401">EExpress 24H</label>
                    </div>
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-402" type="checkbox" value="value402">
                        <label for="styled-checkbox-402">Up to 3 days</label>
                    </div>
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-403" type="checkbox" value="value403">
                        <label for="styled-checkbox-403">Up to 7 days</label>
                    </div>
                    <div style="white-space: nowrap;">
                        <input class="styled-checkbox" id="styled-checkbox-405" type="checkbox" value="value405">
                        <label for="styled-checkbox-405">Anytime</label>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="service_option_div_footer">
              <div class="container">
                <div class="row">
                  <div class="col-md-6">
                    <h6>Clear All</h6>
                  </div>
                  <div class="col-md-6 text-right">
                    <button type="button" class="btn btn-success btn-sm" style="background-color: #1dbf73 !important;">Apply</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
          </div>
          
        </div>
        <div class="col-md-4 text-right">
           <div class="row">
            <div class="col-md-12" style="padding-top: 7px;">
              <ul class="Seller_type">
                <li>
                  <div class="Seller_type_div">
                    <div class="checkbox checbox-switch">
                          <label class="switch">
                            <input type="checkbox">
                            <span class="slider round"></span>
                          </label>
                      </div>
                      <h5 class="custome_form_label">Local sellers</h5>
                  </div>
                </li>
                <li>
                  <div class="Seller_type_div">
                    <div class="checkbox checbox-switch">
                          <label class="switch">
                            <input type="checkbox">
                            <span class="slider round"></span>
                          </label>
                      </div>
                      <h5 class="custome_form_label">Online sellers</h5>
                  </div>
                </li>
              </ul>
            </div>
          </div> -->
    <!-- <div class="row">
            <div class="col-md-5 offset-md-1">
              <h6 class="sort_by_text_new">Sort By</h6>
            </div>
            <div class="col-md-5">
              <div class="form-group">
                <select class="form-control" style="border-radius: 0px;">
                  <option>Best Selling</option>
                  <option>Highest Rated</option>
                  <option>Most Relevant</option>
                  <option>Latest Arrivals</option>
                </select>
              </div>
            </div>
          </div>
        </div>
      </div> -->
      <section *ngIf="gig_offersList!=undefined" style="text-align: center;">
        <div class="No_gig_display" style="top: 55%;left: 50%;" *ngIf="gig_offersList.length==0">
          <i class="fa fa-user"></i>
          <h1 class="">No Gig to display</h1>
        </div>
      </section>

    <div class="row mt-3">
      <!-- <div class="col-md-6">
          <div class="form-group">
            <h6 class="number-of-results">10,175 Services available</h6>
          </div>
        </div> -->
      <!-- <div class="col-md-6 text-right">
          <div class="row">
            <div class="col-md-4 offset-md-4">
              <h6 class="sort_by_text_new">Sort By</h6>
            </div>
            <div class="col-md-4">
              <div class="form-group">
                <select class="form-control" style="border-radius: 0px;">
                  <option>Relevance</option>
                  <option>Best Selling</option>
                  <option>Newest Arrivals</option>
                </select>
              </div>
            </div>
          </div>
        </div> -->
    </div>


    <div class="row" *ngIf="gig_offersList!=undefined && gig_offersList!=null">
      <ng-container *ngFor="let item of gig_offersList">
        <div class="col-md-3 col-xs-12">
          <div class="custom_card_div">
            <div class="img_div">
              <!-- <img src="{{item.buyer.user_info.profile_picture}}"> -->
              <img src="{{item.gallery[0]?.file_path}}">
              <a *ngIf="item.is_favourite==true" (click)="tagFavourite(item, item.is_favourite==true?false:true)"
              class="favourite_icon" target="_self">
              <i class="fa fa-heart" style="color: #ff7e41;"></i>
            </a>
              <a *ngIf="item.is_favourite==false" (click)="tagFavourite(item, item.is_favourite==true?false:true)"
              class="favourite_icon" target="_self">
              <i class="fa fa-heart-o"></i>
            </a>
            </div>
            <div class="content_div">
              <div class="card_heading_text">
                <h5 (click)="onGigClick(item.id,item.gig_status?.id)">{{item.title}}</h5>
                <!-- <h6>{{item.sub_category.sub_category_name}}</h6> -->
                <!-- <div class="by_text"><i> by </i><a class="by_text_person_name" href="profile.html" rel="nofollow">{{item.created_by?.user_name}}</a></div> -->
                <div class="by_text"><i> by </i><a class="by_text_person_name" href="javascript:void(0)" rel="nofollow"
                    (click)="onSellerClick(item.created_by?.id)">{{item.created_by?.user_name}}</a>
                  <!-- <span> | </span>
                            <a href="javascript:void(0)"
                            class="level_of_person">Level {{item.created_by?.level.level_name}}</a> -->
                </div>
              </div>
              <div class="Price_and_star_container">
                <div class="row">
                  <div class="col-md-6" (click)="onGigClick(item.id,item.gig_status?.id)">
                    <!-- <h4><i class="fa fa-inr"></i> 200</h4> -->
                    <!-- <h4><i class="fa fa-inr">{{item.request.budget}}</i></h4> -->
                    <div class="stars_container" *ngIf="item.rating>0">{{getStar(item.rating)}}
                      <span [innerHtml]="printStar">
                      </span> ({{item.total_views}})
                    </div>
                    <div class="stars_container_empty"
                      *ngIf="item.rating==0 || item.rating==null || item.rating=='' || item.rating==undefined">
                      {{getEmptyStar()}}
                      <span [innerHtml]="printStarEmpty">
                      </span> <span class="star_counts">(0)</span>
                    </div>
                  </div>
                  <div class="col-md-6 text-right" style="padding-left: 0px;">
                    <h4>{{item.gigs_pricing[0]?.price | currency: 'INR':'symbol':'1.0-0'}}
                    </h4>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </ng-container>
    </div>
    <div class="row">
      <div class="col-md-12 text-center">
        <a [routerLink]="'/manage_request'" class="btn btn-primary btn-sm manage_request_btn">
          Manage Your request
        </a>
      </div>
    </div>
  </div>
</section>

